<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.wisdom.alarm.sharding.mapper.ElectricalTestingPointDIMapper">

    <select id="selectPointByStation" parameterType="java.util.Map" resultType="com.gyee.wisdom.alarm.sharding.entity.ElectricalTestingPointDI">
        select * from  ELECTRICALTESTINGPOINTDI2 a
        <where>
            1=1
            <if test="stationId !=null and stationId !=''">
                and a.windpowerstationid = #{stationId}
            </if>
        </where>
    </select>



</mapper>
